Name:           fbdesk
Version:        1.4.0
Release:        3%{?dist}

Summary:        Icon Manager for Fluxbox

Group:          User Interface/Desktops
License:        MIT
URL:            http://fluxbox.sourceforge.net/fbdesk/
Source0:        http://fluxbox.sourceforge.net/download/fbdesk-1.4.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  freetype-devel
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig
BuildRequires:  libICE-devel libSM-devel libX11-devel libXext-devel
BuildRequires:  libXft-devel libXpm-devel libXrender-devel
BuildRequires:  fontconfig-devel
BuildRequires:  imlib2-devel
Requires:       fluxbox

%description
FbDesk is a fluxbox-util application that creates and manages icons on your
Fluxbox desktop.


%prep
%setup -q

%build
%configure --x-includes=%{_includedir} --x-libraries=%{_libdir}
%{__make} %{?_smp_mflags}

%{__make} check


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/*


%changelog
* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0-3
- rebuild for buildid

* Tue Sep 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0-2
- FE6 rebuild

* Thu Mar 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0-1
- version upgrade

* Thu Mar 02 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.2.1-3
- add gcc4.1 patch

* Sun Jan 29 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- modular X

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.2.1-1
- version upgrade
- droped gcc34 patch

* Wed Nov 17 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.1.5-4
- Fix for GCC 3.4, bump release.

* Mon Jul 28 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:1.1.5-0.fdr.3
- partly applied patch provided by Michael Schwendt ( #441 #3 )
- fixed up some minor stuff

* Sun Jul 13 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:1.1.5-0.fdr.2
- Minor fixes to make rpmlint happy

* Fri Jun 27 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:1.1.5-0.fdr.1
- Initial RPM release.
